MIGHT_SLEEP(9)

NAME
might_sleep - annotation for functions that can sleep

SYNOPSIS

might_sleep(void);

ARGUMENTS

None

DESCRIPTION

this macro will print a stack trace if it is executed in an atomic context (spinlock, irq-handler, ...).

This is a useful debugging help to be able to catch problems early and not be bitten later when the calling function happens to sleep when it is not supposed to.

COPYRIGHT